OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Functions
Helpers for manipulating Linux libnuma bitmask

## Functions
static __hwloc_inline struct bitmask *__hwloc_attribute_malloc | hwloc_cpuset_to_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_const_cpuset_t cpuset)
| Convert hwloc CPU set `cpuset` into the returned libnuma bitmask. More...
static __hwloc_inline struct bitmask *__hwloc_attribute_malloc | hwloc_nodeset_to_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_const_nodeset_t nodeset)
| Convert hwloc NUMA node set `nodeset` into the returned libnuma bitmask. More...
static __hwloc_inline int | hwloc_cpuset_from_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_cpuset_t cpuset, const struct bitmask *bitmask)
| Convert libnuma bitmask `bitmask` into hwloc CPU set `cpuset`. More...
static __hwloc_inline int | hwloc_nodeset_from_linux_libnuma_bitmask (hwloc_topology_t topology, hwloc_nodeset_t nodeset, const struct bitmask *bitmask)
| Convert libnuma bitmask `bitmask` into hwloc NUMA node set `nodeset`. More...

## Detailed Description

## Function Documentation

static __hwloc_inline int hwloc_cpuset_from_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_cpuset_t | cpuset,
|  | const struct bitmask * | bitmask
| ) |  |
| static

Convert libnuma bitmask `bitmask` into hwloc CPU set `cpuset`.

This function may be used after calling many numa_ functions that use a struct bitmask as an output parameter.

References hwloc_obj::cpuset, hwloc_bitmap_copy(), hwloc_bitmap_or(), hwloc_bitmap_zero(), hwloc_get_obj_by_depth(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, hwloc_topology_get_complete_cpuset(), and HWLOC_TYPE_DEPTH_UNKNOWN.

static __hwloc_inline struct bitmask* __hwloc_attribute_malloc hwloc_cpuset_to_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_const_cpuset_t | cpuset
| ) |  |
| static

Convert hwloc CPU set `cpuset` into the returned libnuma bitmask.

The returned bitmask should later be freed with numa_bitmask_free.

This function may be used before calling many numa_ functions that use a struct bitmask as an input parameter.

Returns
  newly allocated struct bitmask.

References hwloc_bitmap_iszero(), hwloc_get_next_obj_covering_cpuset_by_type(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, hwloc_obj_memory_s::local_memory, hwloc_obj::memory, and hwloc_obj::os_index.

static __hwloc_inline int hwloc_nodeset_from_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_nodeset_t | nodeset,
|  | const struct bitmask * | bitmask
| ) |  |
| static

Convert libnuma bitmask `bitmask` into hwloc NUMA node set `nodeset`.

This function may be used after calling many numa_ functions that use a struct bitmask as an output parameter.

References hwloc_bitmap_fill(), hwloc_bitmap_set(), hwloc_bitmap_zero(), hwloc_get_obj_by_depth(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, and hwloc_obj::os_index.

static __hwloc_inline struct bitmask* __hwloc_attribute_malloc hwloc_nodeset_to_linux_libnuma_bitmask | ( | hwloc_topology_t | topology,
|  | hwloc_const_nodeset_t | nodeset
| ) |  |
| static

Convert hwloc NUMA node set `nodeset` into the returned libnuma bitmask.

The returned bitmask should later be freed with numa_bitmask_free.

This function may be used before calling many numa_ functions that use a struct bitmask as an input parameter.

Returns
  newly allocated struct bitmask.

References hwloc_bitmap_isset(), hwloc_bitmap_iszero(), hwloc_get_next_obj_by_type(), hwloc_get_type_depth(), HWLOC_OBJ_NODE, HWLOC_TYPE_DEPTH_UNKNOWN, hwloc_obj_memory_s::local_memory, hwloc_obj::memory, and hwloc_obj::os_index.